View Issue Details

IDProjectCategoryView StatusLast Update
00314542.x IDE BugsCompilingPublic2019-11-15 11:23
ReporterScott DunbarAssigned ToMike Rennie 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.2.5Fixed in Version2.2.5 
Summary0031454: Compiling: Shader errors will display the incorrect line number
DescriptionIssue:
 Both vertex and fragment shaders will report errors on the wrong lines.

Expected:
 Compile errors should correctly report line numbers
Steps To Reproduce1. import attached project
2. Attempt to run
3. observe compile errors
4. observe line number
5. double click on compile error
5. observe line number is not the error line, comments in project show location and reason
TagsNo tags attached.
2.x IDE Found In2.2.4.456
2.x Runtime Found In2.2.4.372
2.x IDE Verified In2.2.5.475
2.x Runtime Verified In2.2.5.375

Activities

Scott Dunbar

2019-10-21 11:47

Adminstrator  

shader_error_bug.yyz (19,396 bytes)

Mike Rennie

2019-10-22 15:00

Developer   ~0065037

Fixed in gitlab

Scott Dunbar

2019-11-15 11:23

Adminstrator   ~0065120

Verified fixed in 2.2.5.475